IREMINDER(1)

NAME
ireminder - Prayer time reminder

SYNOPSIS
ireminder [-ipraytime path] [-skip event_name] [-reminder minutes] [-inplace] [-execr cmd] [-execs cmd] [-help]

DESCRIPTION
The ireminder script is written in perl and is meant to be a simplistic wrapper to call and process the 'ipraytime' application. ireminder is used to remind the user via audio indicators of an impending Islamic prayer event.

OPTIONS
Some of the options within ireminder allow for list inputs, those are meant to be a quoted series of text/numbers.

-ipraytime path
    Specify the path to the ipraytime executable. Unless this options is specified, the script will default to look for the binary in /usr/bin, /usr/local/bin and the current directory.

-skip event_name
    Specify name of prayer/event to skip, valid options include "imsaak fajr shorooq zuhr asr maghrib isha" (list ok).

-reminder minutes
    Specify prior to how many minutes to remind (list ok).

-inplace
    Specify to print output in-place (without scrolling).

-execr cmd
    Specify an external application trigger for reminders. The %m directive is recognized and is substituted with the normal output message or string. The %s directive is recognized and is substituted by the salat's name.

-execs cmd
    Specify an external application trigger for when the salat reaches its appointed time (ie. "salat now"). The %m directive is recognized and is substituted with the normal output message or string. The %s directive is recognized and is substituted by the salat's name.

-help
    Produce a help screen.

EXAMPLES

Here is an example of using ireminder to display a message prayer time, ignoring imsaak and shorooq:

    ireminder -skip "imsaak shorooq" -execs "notify-send -t 1000000 \"Ireminder\" \"It is time for %s.\"" &

Another Example:

    ireminder -execr "xmessage %m" -execs "xmessage %m"

REPORTING BUGS
Report bugs on the web using http://bugs.arabeyes.org

AUTHOR
Written by Nadim Shaikli as part of the Arabeyes.org project.

COPYRIGHT
iremidner is subject to the GNU General Public License (GPL).
Copyright © 2006, Arabeyes, Nadim Shaikli.

SEE ALSO
ipraytime(1) - The underlying prayer times calculator used iremidner.

The ITL library (libitl) from the Islamic Tools and Libraries project. It is the underlying requirement for ireminder to function. The ITL library was created and is hosted at www.arabeyes.org.